Get Insight Reputation Score Benchmark
curl --request POST \
--url https://api.birdeye.com/resources/v1/insight/reputation/scoreBenchmark \
--header 'Content-Type: application/json' \
--data '
{
"reviewSources": [
"Google",
"Facebook",
"CitySearch"
],
"ratings": [
"0",
"1",
"3",
"4",
"5"
],
"businessNumbers": [
172957184851864,
174436684666401
],
"startDate": "02/25/2025",
"endDate": "02/01/2026"
}
'import requests
url = "https://api.birdeye.com/resources/v1/insight/reputation/scoreBenchmark"
payload = {
"reviewSources": ["Google", "Facebook", "CitySearch"],
"ratings": ["0", "1", "3", "4", "5"],
"businessNumbers": [172957184851864, 174436684666401],
"startDate": "02/25/2025",
"endDate": "02/01/2026"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
reviewSources: ['Google', 'Facebook', 'CitySearch'],
ratings: ['0', '1', '3', '4', '5'],
businessNumbers: [172957184851864, 174436684666401],
startDate: '02/25/2025',
endDate: '02/01/2026'
})
};
fetch('https://api.birdeye.com/resources/v1/insight/reputation/scoreBenchmark', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actual": {
"score": 73.2,
"industryScore": 86
}
}{
"code": 2003,
"message": "businessNumbers are mandatory"
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 2151,
"message": "Not a valid reseller/enterprise id."
}{
"code": 1027,
"message": "Invalid business number."
}Insight AI
Insight Reputation Score Benchmark
Insight Reputation Score Benchmark API retrieves the actual reputation score compared against the industry benchmark for specified business locations and date ranges.
POST
/
v1
/
insight
/
reputation
/
scoreBenchmark
Get Insight Reputation Score Benchmark
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
e.g. [Required] User associated businessNumber.
Media type of the JSON request body.
Body
application/json
List of business numbers (max 100).
Start date in MM/DD/YYYY format.
End date in MM/DD/YYYY format.
Review sources to include (e.g. Google, Facebook).
Rating values to filter (e.g. "1", "2", "3", "4", "5").
List of hierarchy nodes to filter by level.
Show child attributes
Show child attributes
Response
OK
Current performance metrics
Show child attributes
Show child attributes